Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.
API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).
Ingest custom formatted data in the request body. This can be any kind of formatted payload (JSON, XML, etc) or binary data. A connection needs to be first created by p44 internally in the P44 Connection Manager UI for each data provider and data format before ingesting data. Reach out to P44 Support team to receive the connectionId for your integration.
Custom content of the data provider. Can be any format supported by the connection, e.g. JSON, XML, binary data, ...
curl -i -X POST \ 'https://na12.api.project44.com/services/unified-integrations/v1/connections/{connectionId}/ingestions' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json'
{ "errors": [ { … } ], "httpMessage": "Bad Request", "httpStatusCode": 400, "supportReferenceId": "097db21a-012b-41ae-a2ab-13b4b0583709" }